petsc-3.15.0 2021-03-30
Report Typos and Errors

# TaoALMMType

Determine the augmented Lagrangian formulation used in the TAOALMM subproblem.

### Synopsis

    typedef enum {TAO_ALMM_CLASSIC,TAO_ALMM_PHR} TaoALMMType;

     TAO_ALMM_CLASSIC - classic augmented Lagrangian definition including slack variables for inequality constraints

     TAO_ALMM_PHR     - Powell-Hestenes-Rockafellar formulation without slack variables, uses pointwise min() for inequalities

### See Also

TAOALMM, TaoALMMSetType(), TaoALMMGetType()

### Level

advanced

### Location

src/tao/../../include/petsctao.h
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages